aboutsummaryrefslogtreecommitdiffstats
path: root/main/php5-xcache/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-05-05 12:30:39 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-05-05 15:43:07 +0000
commitededfd778202738bfc326b17bee3e3810d65a072 (patch)
treeeb94d15ff275530bfc911f1152f192c8e6878401 /main/php5-xcache/APKBUILD
parent59f6aa93787fa68ce578e1d307cb4456fea6dd0b (diff)
downloadaports-ededfd778202738bfc326b17bee3e3810d65a072.tar.gz
aports-ededfd778202738bfc326b17bee3e3810d65a072.tar.bz2
aports-ededfd778202738bfc326b17bee3e3810d65a072.tar.xz
main/php5-xcache: rename php to php5
Diffstat (limited to 'main/php5-xcache/APKBUILD')
-rw-r--r--main/php5-xcache/APKBUILD56
1 files changed, 56 insertions, 0 deletions
diff --git a/main/php5-xcache/APKBUILD b/main/php5-xcache/APKBUILD
new file mode 100644
index 0000000000..dad01e1d81
--- /dev/null
+++ b/main/php5-xcache/APKBUILD
@@ -0,0 +1,56 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+_php=php5
+pkgname=${_php}-xcache
+pkgver=3.2.0
+pkgrel=1
+pkgdesc="php opcode cacher"
+url="http://xcache.lighttpd.net/"
+arch="all"
+license="BSD"
+depends_dev=""
+makedepends="$depends_dev ${_php}-dev autoconf automake flex bison gawk"
+install=""
+subpackages=""
+source="http://xcache.lighttpd.net/pub/Releases/$pkgver/xcache-$pkgver.tar.gz
+ xcache.ini"
+
+_builddir="$srcdir"/xcache-$pkgver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ phpize --clean && phpize || return 1
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --enable-xcache \
+ --enable-xcache-constant \
+ --enable-xcache-optimizer \
+ --enable-xcache-coverager \
+ || return 1
+ make -j1 || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 install INSTALL_ROOT="$pkgdir" || return 1
+ install -Dm644 "$srcdir"/xcache.ini \
+ "$pkgdir"/etc/$_php/conf.d/xcache.ini || return 1
+}
+
+md5sums="8b0a6f27de630c4714ca261480f34cda xcache-3.2.0.tar.gz
+8fd9ce537ada9463c4b0c042243158c0 xcache.ini"
+sha256sums="9d7bea91dabb3e0c859195a85562f24c77a5967722753018966beb7a421c6bc0 xcache-3.2.0.tar.gz
+c8c843335028b1da1965ff71b73b42fc4bc45be08bf9ec3f71aff5744a428176 xcache.ini"
+sha512sums="6ba2d857d5fa40deac7ab1dffc3e7aed6e04eff8b2397fdf73f7251c47804958fc44ab5e3cbdf02c02d55b4139dd9747d78e231e4652ba19d093d80a64242b1d xcache-3.2.0.tar.gz
+dc693745177ab1dfcd4e0ae1193ebcedf7d97f4ea222525fa52955be5dd68a50db27cce0c6ef069f9972e79d2cb0f88d6fa27e6e433781312c370e791a64c1cc xcache.ini"